apiVersion: admissionregistration.k8s.io/v1
kind: MutatingWebhookConfiguration
metadata:
  creationTimestamp: null
  name: mutating-webhook-configuration
webhooks:
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: webhook-service
      namespace:  fission
      path: /mutate-fission-io-v1-package
  failurePolicy: Fail
  name: mpackage.fission.io
  rules:
  - apiGroups:
    - fission.io
    apiVersions:
    - v1
    operations:
    - CREATE
    - UPDATE
    resources:
    - packages
  sideEffects: None